Loading...
Searching...
No Matches
BALL::VIEW::Stage::Material Class Reference

`#include <BALL/VIEW/KERNEL/stage.h>`

Inheritance diagram for BALL::VIEW::Stage::Material:

## Public Member Functions

| Material ()
Public Member Functions inherited from BALL::PersistentObject
| PersistentObject ()
virtual | ~PersistentObject ()
PersistenceManager & | operator>> (PersistenceManager &pm) const
virtual void | finalize ()
Public Member Functions inherited from BALL::Object
| Object ()
| Default constructor.
| Object (const Object &object)
| Copy constructor.
virtual | ~Object ()
| Destructor.
virtual void | clear ()
| Clear function of the OCI, doing nothing here.
const Object & | operator= (const Object &)
bool | operator== (const Object &object) const
bool | operator!= (const Object &object) const
bool | operator< (const Object &object) const
bool | operator<= (const Object &object) const
bool | operator>= (const Object &object) const
bool | operator> (const Object &object) const
int | compare (const Object &object) const
virtual bool | isValid () const
virtual void | dump (::std::ostream &s=std::cout, Size depth=0) const
Handle | getHandle () const
Public Member Functions inherited from BALL::AutoDeletable
virtual | ~AutoDeletable ()
void * | operator new (size_t size)
void | operator delete (void *ptr)
void * | operator new (size_t size, void *ptr)
void | operator delete (void *ptr, void *)
bool | isAutoDeletable () const
void | setAutoDeletable (bool enable)

## Persistence

ColorRGBA | ambient_color
float | ambient_intensity
ColorRGBA | specular_color
float | specular_intensity
ColorRGBA | reflective_color
float | reflective_intensity
float | shininess
float | transparency
virtual void | persistentWrite (PersistenceManager &pm, const char *name=0) const
virtual void | persistentRead (PersistenceManager &pm)

## Additional Inherited Members

static Handle | getNextHandle ()
static Handle | getNewHandle ()
static void | clearLastPtr ()
| AutoDeletable ()
| AutoDeletable (const AutoDeletable &auto_deletable, bool deep=false)

## Detailed Description

This class holds all material parameters passed on to a raytracer.

Definition at line 244 of file stage.h.

## Constructor & Destructor Documentation

## Material()

BALL::VIEW::Stage::Material::Material | ( |  | ) |

## Member Function Documentation

## persistentRead()

virtual void BALL::VIEW::Stage::Material::persistentRead | ( | PersistenceManager & | pm | ) |

virtual

Read a raytracing material from a persistent stream.

Parameters

  pm | the persistence manager

Exceptions

  BALL::Exception::GeneralException |

Reimplemented from BALL::PersistentObject.

## persistentWrite()

virtual void BALL::VIEW::Stage::Material::persistentWrite | ( | PersistenceManager & | pm,
|  | const char * | name = 0 ) const

virtual

Write a raytracing material to a persistent stream.

Parameters

  pm | the persistence manager

Exceptions

  BALL::Exception::GeneralException |

Reimplemented from BALL::PersistentObject.

## Member Data Documentation

## ambient_color

ColorRGBA BALL::VIEW::Stage::Material::ambient_color

Definition at line 271 of file stage.h.

## ambient_intensity

float BALL::VIEW::Stage::Material::ambient_intensity

Definition at line 272 of file stage.h.

## reflective_color

ColorRGBA BALL::VIEW::Stage::Material::reflective_color

Definition at line 277 of file stage.h.

## reflective_intensity

float BALL::VIEW::Stage::Material::reflective_intensity

Definition at line 278 of file stage.h.

## shininess

float BALL::VIEW::Stage::Material::shininess

Definition at line 280 of file stage.h.

## specular_color

ColorRGBA BALL::VIEW::Stage::Material::specular_color

Definition at line 274 of file stage.h.

## specular_intensity

float BALL::VIEW::Stage::Material::specular_intensity

Definition at line 275 of file stage.h.

## transparency

float BALL::VIEW::Stage::Material::transparency

Definition at line 281 of file stage.h.